Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.access
Class QFieldAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QFieldAccess

Direct Known Subclasses:
  QListFieldAccess, QMapFieldAccess

public class QFieldAccess
extends QAccess

Field Summary
`String` | `field`
`protected Field` | `pd`

Constructor Summary
`QFieldAccess()`

Method Summary
`void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`QIterator` | `createIterator()`
`protected Object` | `get(QTargetFactory parentFactory, Object parent, QContext context)`
`boolean` | `readable(QTargetFactory parentFactory, QContext context)`
`void` | `setIteratorParent(QIterator it, Object parent, QTargetFactory parentFactory, QContext context)`
`protected void` | `setPD(QTargetFactory tf, QContext context)`
`protected void` | `validateField(Field pd, QContext context)`
`boolean` | `writeable(QTargetFactory parentFactory, QContext context)`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator, reserve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    public String field

### pd

    protected Field pd

Constructor Detail

### QFieldAccess

    public QFieldAccess()

Method Detail

### setPD

    protected void setPD(QTargetFactory tf,
                         QContext context)
                  throws QPE

### validateField

    protected void validateField(Field pd,
                                 QContext context)
                          throws QPE

### readable

    public boolean readable(QTargetFactory parentFactory,
                            QContext context)
                     throws QPE

  Overrides:
    `readable` in class `QAccess`

### createIterator

    public QIterator createIterator()

  Overrides:
    `createIterator` in class `QAccess`

### get

    protected Object get(QTargetFactory parentFactory,
                         Object parent,
                         QContext context)
                  throws QPE

### setIteratorParent

    public void setIteratorParent(QIterator it,
                                  Object parent,
                                  QTargetFactory parentFactory,
                                  QContext context)
                           throws QPE

  Overrides:
    `setIteratorParent` in class `QAccess`

### writeable

    public boolean writeable(QTargetFactory parentFactory,
                             QContext context)
                      throws QPE

  Overrides:
    `writeable` in class `QAccess`

### add

    public void add(Object parent,
                    QTargetFactory parentFactory,
                    Object child,
                    QContext context)
             throws QPE

  Overrides:
    `add` in class `QAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD